RemoteGymp · API v1
Tagairt API
Rochtain agus iompar
Teimpléid is ea samplaí tagartha. Ionadaigh na sealbhóirí ionaid agus seiceáil paraiméadair, ceadanna agus scéimre an chríochphointe sula ritheann tú iad. Le haghaidh scríbhinní neamhchinnte, lean na rialacha téarnaimh agus bain triail eile as an gcríochphointe sin.
Teastaíonn comhartha iompróra agus cead an chríochphointe. Tá rochtain teoranta go fóill do raon feidhme do dhintiúir. Seiceáil cumais roimh úsáid a bhaint as gléas nó gníomhartha bainistíochta.
Torthaí cuardaigh: 289
Níor aimsíodh aon rud.
AI11
POSTLéigh gníomhartha AI sábháilte/v1/assistant/actions
Léigh gníomhartha sábháilte le haghaidh raon feidhme an chúntóra a soláthraíodh.
POST /v1/assistant/actions ↗mcp.cap.AssistantRead
Scéimeanna (OpenAPI)
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"kind": 0
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/actions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read saved actions for the supplied assistant scope.",
"operationId": "post_v1_assistant_actions",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationHierarchyScope"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAssistantSavedAction"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read saved AI actions",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTCuir tasc AI i bhfeidhm/v1/assistant/apply
Cuir obair thacaithe ó thasc cúnta i bhfeidhm ag baint úsáide as na formheasanna agus na srianta riachtanacha atá aige.
POST /v1/assistant/apply ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute + mcp.cap.AssistantApply
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/apply' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Apply supported work from an assistant task using its required approvals and constraints.",
"operationId": "post_v1_assistant_apply",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Apply an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantApply"
]
}GETBeartas gníomhaíochta ardaithe AI a léamh/v1/assistant/elevated-policy
Iniúchadh a dhéanamh ar an bpolasaí a rialaíonn gníomhartha cúntóirí ardaithe roimh obair a phleanáil.
GET /v1/assistant/elevated-policy ↗mcp.cap.AssistantRead
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/elevated-policy' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Inspect the policy governing elevated assistant actions before planning work.",
"operationId": "get_v1_assistant_elevated_policy",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiAssistantPolicy"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read AI elevated-action policy",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTDéan meastachán ar thasc AI/v1/assistant/estimate
Déan meastachán ar thasc cúnta molta sula gcuirfear tús leis.
POST /v1/assistant/estimate ↗mcp.cap.AssistantRead
Scéimeanna (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"execute": false,
"recipients": [
"<value>"
],
"request": "<value>",
"scope": {
"kind": 0
},
"submissionKey": "<value>",
"timeZoneId": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/estimate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Estimate a proposed assistant task before starting it.",
"operationId": "post_v1_assistant_estimate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantEstimate"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Estimate an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTRith píolótach AI/v1/assistant/pilot
Rith sreabhadh oibre píolótach tasc an chúntóra roimh rolladh amach níos leithne.
POST /v1/assistant/pilot ↗mcp.cap.AutomationExecute + mcp.cap.AssistantPilot
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"deviceId": "<UUID>",
"proposalId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/pilot' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Run the assistant task's pilot workflow before a broader rollout.",
"operationId": "post_v1_assistant_pilot",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationAssistantPilot"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run an AI pilot",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantPilot"
]
}GETLéigh tuarascálacha AI/v1/assistant/reports
Léigh tuarascálacha arna dtáirgeadh ag tascanna cúntóir.
GET /v1/assistant/reports ↗mcp.cap.AssistantRead
Scéimeanna (OpenAPI)
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationScheduleKind
0 = Once 1 = Interval 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = Cron
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/reports' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read reports produced by assistant tasks.",
"operationId": "get_v1_assistant_reports",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationReportScheduleView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read AI reports",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTBain triail eile as píolótach AI/v1/assistant/retry-pilot
Iarr ar an bpíolóta cúnta atriail agus úsáid á baint as comhthéacs an taisc a soláthraíodh.
POST /v1/assistant/retry-pilot ↗mcp.cap.AutomationExecute + mcp.cap.AssistantPilot
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/retry-pilot' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Request a retry of the assistant pilot using the supplied task context.",
"operationId": "post_v1_assistant_retry_pilot",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Retry an AI pilot",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantPilot"
]
}POSTTosaigh tasc AI/v1/assistant/start
Tosaigh tasc cúnta leis na spriocanna agus na treoracha a sholáthraítear.
POST /v1/assistant/start ↗mcp.cap.AssistantPropose
Scéimeanna (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"acceptQuotedCharge": false,
"estimateToken": "<estimateToken>",
"request": {
"execute": false,
"recipients": [
"<value>"
],
"request": "<value>",
"scope": {
"kind": 0
},
"submissionKey": "<value>",
"timeZoneId": "<value>"
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/start' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Start an assistant task with the supplied targets and instructions.",
"operationId": "post_v1_assistant_start",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationAssistantStart"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Start an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantPropose"
]
}POSTIniúchadh a dhéanamh ar sprioc-chomhthéacs AI/v1/assistant/target-context
Léigh an comhthéacs sprice ceadaithe a úsáidtear chun tasc cúnta a ullmhú.
POST /v1/assistant/target-context ↗mcp.cap.AssistantRead
Scéimeanna (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/target-context' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read the permitted target context used to prepare an assistant task.",
"operationId": "post_v1_assistant_target_context",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAssistantTargets"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantTargetContext"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Inspect AI target context",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}GETLiostaigh tascanna AI/v1/assistant/tasks
Brabhsáil tascanna cúntóir AI atá infheicthe ag do dhintiúir.
GET /v1/assistant/tasks ↗mcp.cap.AssistantRead
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/tasks' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Browse AI assistant tasks visible to your credential.",
"operationId": "get_v1_assistant_tasks",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAssistantHistoryItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List AI tasks",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}GETFaigh tasc AI/v1/assistant/tasks/{id}
Léigh staid agus sonraí an chúntóra amháin.
GET /v1/assistant/tasks/{id} ↗mcp.cap.AssistantRead
Scéimeanna (OpenAPI)
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
AutomationSimpleActionKind
0 = Script 1 = Notification 2 = RefreshFacts 3 = ControlService 4 = RestartDevice 5 = WindowsDiskCleanup 6 = LinuxMaintenance 7 = WakeDevice 8 = SendUserMessage 9 = UninstallSoftware
LinuxMaintenanceAction
0 = RefreshPackageInventory 1 = InstallPackageUpdates 2 = RefreshFirmwareMetadata 3 = InstallFirmwareUpdates 4 = InstallAllUpdates
AutomationOutcomeMatch
0 = Failure 1 = Success 2 = Always 3 = ResultMatches
AutomationNotificationSeverity
0 = Information 1 = Warning 2 = Critical 3 = Recovery
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
ServiceAction
0 = Start 1 = Stop 2 = Restart
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
AutomationTruthValue
0 = False 1 = True 2 = Unknown
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Paraiméadair
id· cosán · ag teastáil- Aitheantóir ar ais ag an liosta acmhainní comhfhreagrach nó toradh cruthú.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/tasks/<id>' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read one assistant task's state and details.",
"operationId": "get_v1_assistant_tasks_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantResult"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}API5
POSTFaigh comhartha rochtana/v1/auth/token
Malartú do dhintiúir API le haghaidh chomhartha iompróra gearrthéarmach le húsáid ar iarratais ina dhiaidh sin.
POST /v1/auth/token ↗Úsáid dintiúir API cruthaithe i Socruithe → rochtain API. Níl aon chomhartha iompróra ag teastáil don mhalartú seo.
password: Tá do rún dintiúir API ag baint leis an réimse JSON seo, ní do phasfhocal logáil isteach chuntais.
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
'Content-Type' = 'application/json'
}
$body = '{
"password": "<your-API-credential-secret>",
"username": "<your-API-credential-username>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/auth/token' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Exchange API username and credential password for an opaque bearer token valid for 1800 seconds. Network, paid entitlement and regional token-attempt limits apply.",
"operationId": "post_v1_auth_token",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TokenRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PublicApiTokenResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"summary": "Get an access token",
"tags": [
"API"
]
}GETSeiceáil na gnéithe atá ar fáil/v1/capabilities
Féach ar na gnéithe, na ceadanna agus na teorainneacha atá ar fáil do do dhintiúir roimh úsáid a bhaint as comhtháthú.
GET /v1/capabilities ↗Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/capabilities' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "See the features, permissions and limits available to your credential before using an integration.",
"operationId": "get_v1_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CapabilitiesResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check available features",
"tags": [
"API"
],
"x-required-capabilities": []
}GETSeiceáil rochtain API/v1/health
Seiceáil gur féidir le do dhintiúir an API a bhaint amach agus a fhíordheimhniú.
GET /v1/health ↗Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/health' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Check that your credential can reach and authenticate with the API.",
"operationId": "get_v1_health",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/HealthResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check API access",
"tags": [
"API"
],
"x-required-capabilities": []
}GETSeiceáil roghanna suiteálaí/v1/management/installers/capabilities
Faigh amach na cumais suiteála atá ar fáil ar an óstach seo.
GET /v1/management/installers/capabilities ↗mcp.cap.EnrollmentRead
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/capabilities' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Discover the installer capabilities available on this host.",
"operationId": "get_v1_management_installers_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiInstallerCapabilities"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check installer options",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GETSeiceáil cumais oibríochta/v1/operations/capabilities
Faigh amach cumais oibríochta comhtháthaithe sula ndéanann tú iarracht gníomhartha gléis.
GET /v1/operations/capabilities ↗Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/operations/capabilities' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Discover integration operation capabilities before attempting device actions.",
"operationId": "get_v1_operations_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiOperationCapabilities"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check operation capabilities",
"tags": [
"Operations"
],
"x-required-capabilities": []
}Bainistíocht30
POSTCruthaigh cuideachta/v1/management/companies
Cuir cuideachta leis laistigh d’eagraíocht údaraithe.
POST /v1/management/companies ↗mcp.cap.CompaniesManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/companies' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Add a company within your authorised organisation.",
"operationId": "post_v1_management_companies",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfstring"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create a company",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesManage"
]
}POSTScrios cuideachta/v1/management/companies/delete
Iarratas a bhaint as cuideachta trí na cosaintí bainistíochta atá ann cheana féin. Déan athbhreithniú cúramach ar an sprioc.
POST /v1/management/companies/delete ↗mcp.cap.CompaniesDelete
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/companies/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Request removal of a company through the existing management safeguards. Review the target carefully.",
"operationId": "post_v1_management_companies_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a company",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesDelete"
]
}POSTScrios gléas/v1/management/devices/delete
Iarr gléas a bhaint tríd an sreabhadh oibre bainistíochta.
POST /v1/management/devices/delete ↗mcp.cap.DevicesDelete
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Request device removal through the management workflow.",
"operationId": "post_v1_management_devices_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a device",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesDelete"
]
}POSTBog gléas/v1/management/devices/move
Athraigh cuideachta nó suíomh gléis laistigh den raon feidhme ceadaithe.
POST /v1/management/devices/move ↗mcp.cap.DevicesManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"deviceId": "<UUID>",
"siteId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/move' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Change a device's company or site assignment within the permitted scope.",
"operationId": "post_v1_management_devices_move",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationDeviceMove"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Move a device",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesManage"
]
}POSTRochtain ghléis a chúlghairm/v1/management/devices/revoke
Rochtain ghníomhaire an ghléis roghnaithe a chúlghairm.
POST /v1/management/devices/revoke ↗mcp.cap.DevicesManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/revoke' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Revoke the selected device's agent access.",
"operationId": "post_v1_management_devices_revoke",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Revoke device access",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesManage"
]
}POSTAthchóirigh rochtain ghléis/v1/management/devices/unrevoke
Bain úsáid as an sreabhadh oibre bainistíochta údaraithe chun staid chúlghairthe an ghléis a bhaint.
POST /v1/management/devices/unrevoke ↗mcp.cap.DevicesManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/unrevoke' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Remove a device's revoked state using the authorised management workflow.",
"operationId": "post_v1_management_devices_unrevoke",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Restore device access",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesManage"
]
}POSTRothlaigh eochair clárúcháin/v1/management/enrollment/rotate
In ionad dhintiúir rollaithe cuideachta. Cailleann suiteálaithe rollaithe reatha a úsáideann an tseaneochair an cumas clárúcháin.
POST /v1/management/enrollment/rotate ↗mcp.cap.EnrollmentRotate
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/enrollment/rotate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Replace a company's enrollment credential. Existing enrollment installers using the old key lose enrollment ability.",
"operationId": "post_v1_management_enrollment_rotate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Rotate an enrollment key",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRotate"
]
}POSTIarr suiteálaí/v1/management/installers
Suiteálaí scuaine ullmhú do chuideachta údaraithe agus ardán.
POST /v1/management/installers ↗mcp.cap.EnrollmentManage
Scéimeanna (OpenAPI)
InstallerPlatform
0 = Windows 1 = Linux 2 = MacOs
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"platform": 0,
"siteId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/installers' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Queue installer preparation for an authorised company and platform.",
"operationId": "post_v1_management_installers",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationInstallerBuild"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Request an installer",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}GETLéigh stair suiteálaí/v1/management/installers/history
Léigh stair tógála agus dáileacháin suiteálaí coinnithe.
GET /v1/management/installers/history ↗mcp.cap.EnrollmentRead
Scéimeanna (OpenAPI)
InstallerPlatform
0 = Windows 1 = Linux 2 = MacOs
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/history' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read retained installer build and distribution history.",
"operationId": "get_v1_management_installers_history",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/InstallerHistoryItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read installer history",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GETLiosta post suiteálaí/v1/management/installers/jobs
Léigh poist suiteálaí ciúáilte agus a stádas.
GET /v1/management/installers/jobs ↗mcp.cap.EnrollmentRead
Scéimeanna (OpenAPI)
InstallerPlatform
0 = Windows 1 = Linux 2 = MacOs
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/jobs' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read queued installer jobs and their status.",
"operationId": "get_v1_management_installers_jobs",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/InstallerBuildJobItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List installer jobs",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GETFaigh stádas bainistíochta-oibríochta/v1/management/operations/{operationId}
Léigh an stádas agus an toradh coinnithe ar athrú bainistíochta gan é a athrá.
GET /v1/management/operations/{operationId} ↗Paraiméadair
operationId· cosán · ag teastáil- Aitheantóir admhála oibríochta barrleibhéil. Polaitigh an admháil seo chun an dul chun cinn agus an toradh a scrúdú.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/operations/<operationId>' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read the status and retained result of a management change without repeating it.",
"operationId": "get_v1_management_operations_operationId",
"parameters": [
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get management-operation status",
"tags": [
"Management"
],
"x-required-capabilities": []
}GETLéigh socrú/v1/management/settings
Léigh socrú bainistíochta tacaithe sa raon feidhme údaraithe iarrtha.
GET /v1/management/settings ↗mcp.cap.SettingsRead
Scéimeanna (OpenAPI)
SettingScopeType
0 = Device 1 = Site 2 = Company 3 = Organization
SettingKey
0 = RequireUserConsent 1 = LockComputerOnSessionEnd 2 = OpenSessionsInNewTab 3 = WakeRelay 4 = TerminalExperience 5 = DefaultSessionColorQuality 6 = DefaultSuppressWallpaper 7 = DefaultOptimizeWindowsVisualEffects 8 = DefaultDeviceListLayout 9 = DeviceLocationReporting 10 = NetworkDiscoveryMode 11 = NetworkDiscoveryPolicy 12 = NetworkDiscoveryRetentionPolicy 13 = NetworkDiscoverySensorAssignment 14 = NetworkTcpMonitoringPolicy 15 = NetworkDiscoveryAllowWindowsPublicProfile 16 = NetworkInternetSpeedEnabled 17 = IloMonitoringEnabled 18 = IdracMonitoringEnabled
Paraiméadair
scopeType· Ceist · ag teastáil- Cineál raon feidhme socruithe. Úsáid an luach enum a thagann leis an raon feidhme atá beartaithe.
scopeId· Ceist · ag teastáil- Aitheantóir scóip na socruithe roghnaithe ag scopeType.
key· Ceist · ag teastáil- Socrú eochair le léamh. Úsáid an luach enum don socrú atá beartaithe.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/settings?scopeType=<scopeType>&scopeId=<scopeId>&key=<key>' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read a supported management setting in the requested authorised scope.",
"operationId": "get_v1_management_settings",
"parameters": [
{
"description": "Kind of settings scope. Use the enum value matching the intended scope.",
"in": "query",
"name": "scopeType",
"required": true,
"schema": {
"$ref": "#/components/schemas/SettingScopeType"
}
},
{
"description": "Identifier of the settings scope selected by scopeType.",
"in": "query",
"name": "scopeId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Setting key to read. Use the enum value for the intended setting.",
"in": "query",
"name": "key",
"required": true,
"schema": {
"$ref": "#/components/schemas/SettingKey"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiSettingValue"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read a setting",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.SettingsRead"
]
}PUTNuashonraigh socrú/v1/management/settings
Athraigh socrú bainistíochta tacaithe laistigh den raon feidhme ceadaithe.
PUT /v1/management/settings ↗mcp.cap.SettingsManage
Scéimeanna (OpenAPI)
SettingKey
0 = RequireUserConsent 1 = LockComputerOnSessionEnd 2 = OpenSessionsInNewTab 3 = WakeRelay 4 = TerminalExperience 5 = DefaultSessionColorQuality 6 = DefaultSuppressWallpaper 7 = DefaultOptimizeWindowsVisualEffects 8 = DefaultDeviceListLayout 9 = DeviceLocationReporting 10 = NetworkDiscoveryMode 11 = NetworkDiscoveryPolicy 12 = NetworkDiscoveryRetentionPolicy 13 = NetworkDiscoverySensorAssignment 14 = NetworkTcpMonitoringPolicy 15 = NetworkDiscoveryAllowWindowsPublicProfile 16 = NetworkInternetSpeedEnabled 17 = IloMonitoringEnabled 18 = IdracMonitoringEnabled
SettingScopeType
0 = Device 1 = Site 2 = Company 3 = Organization
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"key": 0,
"scopeId": "<UUID>",
"scopeType": 0,
"value": "<value>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/management/settings' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Change a supported management setting within the permitted scope.",
"operationId": "put_v1_management_settings",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationSetting"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Update a setting",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.SettingsManage"
]
}POSTCruthaigh suíomh/v1/management/sites
Cuir suíomh le cuideachta údaraithe.
POST /v1/management/sites ↗mcp.cap.CompaniesManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"name": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/sites' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Add a site to an authorised company.",
"operationId": "post_v1_management_sites",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationSiteCreate"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create a site",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesManage"
]
}POSTScrios suíomh/v1/management/sites/delete
Bain úsáid as an sreabhadh oibre bainistíochta agus seiceálann a raon feidhme suíomh.
POST /v1/management/sites/delete ↗mcp.cap.CompaniesDelete
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/sites/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Remove a site using the management workflow and its scope checks.",
"operationId": "post_v1_management_sites_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a site",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesDelete"
]
}PUTAthraigh rochtain foirne/v1/management/team/access
Scóip cheadaithe ball foirne agus sannacháin róil a nuashonrú.
PUT /v1/management/team/access ↗mcp.cap.TeamAccessManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyIds": [
"<UUID>"
],
"roleKeys": [
"<value>"
],
"userId": "<UUID>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/management/team/access' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Update a team member's permitted scope and role assignments.",
"operationId": "put_v1_management_team_access",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationUserAccess"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change team access",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamAccessManage"
]
}GETLiosta cuirí foirne/v1/management/team/invites
Léigh cuirí foirne agus a staid reatha.
GET /v1/management/team/invites ↗mcp.cap.TeamRead
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/team/invites' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read team invitations and their current state.",
"operationId": "get_v1_management_team_invites",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/UserInviteDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List team invitations",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamRead"
]
}POSTTabhair cuireadh do bhall foirne/v1/management/team/invites
Seol cuireadh leis an rochtain foirne iarrtha.
POST /v1/management/team/invites ↗mcp.cap.TeamManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"email": "<value>",
"grantOwner": false,
"rmmRoleKeys": [
"<value>"
],
"role": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/invites' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Send an invitation with the requested team access.",
"operationId": "post_v1_management_team_invites",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationUserInvite"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Invite a team member",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}POSTSeol cuireadh arís/v1/management/team/invites/resend
Athsheol cuireadh foirne atá ann cheana féin.
POST /v1/management/team/invites/resend ↗mcp.cap.TeamManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/invites/resend' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Resend an existing team invitation.",
"operationId": "post_v1_management_team_invites_resend",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Resend an invitation",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}POSTcuireadh a chúlghairm/v1/management/team/invites/revoke
Neamhbhailí cuireadh foirne nár cheart glacadh leis a thuilleadh.
POST /v1/management/team/invites/revoke ↗mcp.cap.TeamManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/team/invites/revoke' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Invalidate a team invitation that should no longer be accepted.",
"operationId": "post_v1_management_team_invites_revoke",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Revoke an invitation",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}PUTAthraigh ainm ball foirne/v1/management/team/name
Nuashonraigh ainm taispeána an úsáideora roghnaithe.
PUT /v1/management/team/name ↗mcp.cap.TeamManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"displayName": "<value>",
"userId": "<UUID>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/management/team/name' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Update the selected user's display name.",
"operationId": "put_v1_management_team_name",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationUserName"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change a team member's name",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamManage"
]
}PUTAthraigh stádas úinéara/v1/management/team/owner
Nuashonraigh stádas úinéara ball foirne, faoi réir cosaintí bainistíochta úinéara.
PUT /v1/management/team/owner ↗mcp.cap.TeamOwnerManage
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"isOwner": false,
"userId": "<UUID>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/management/team/owner' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Scéimre iarratais agus freagartha (OpenAPI)
{
"description": "Update a team member's owner status, subject to owner-management safeguards.",
"operationId": "put_v1_management_team_owner",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationUserOwner"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change owner status",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.TeamOwnerManage"
]
}GETLiostaigh róil foirne/v1/management/team/roles
Léigh róil chumraithe agus a gceadanna.
GET /v1/management/team/roles ↗mcp.cap.TeamRead
Paraiméadair
Gan aon pharaiméadair cosáin, ceiste nó ceanntásca.
Iarratas samplach
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/team/roles' `
-Headers $headersScéimre iarratais agus freagartha (OpenAPI)
{
"description": "Read configured roles and their permissions.",
"operationId": "get_v1_management_team_roles",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/RmmRoleDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
[...]
